database_api.list_account_recovery_requests
since HF11
Purpose
Gibt eine Liste von Wiederherstellungsanfragen zurück. Parameter: start:string, limit:int, order:string
limit- bis zu 1000.orderkann einer der folgenden sein:by_account- Ordnung nach Kontonameby_expiration- Ordnung nach Ablaufdatum (expiration)
| account (string) | limit (int) | order (string) | | |--------------------|-| | "steemit" | 10 | "by_account" | Abfrage der Wiederherstellungsanfragen für das Konto mit dem Namen "steemit", geordnet nach Kontoname. | | ["1960-01-01T00:00:00"] | 10 | "by_expiration"| Abfrage der Wiederherstellungsanfragen für Datum, geordnet nach Ablauf. |
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": "",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": [
"1960-01-01T00:00:00"
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": []
}